RECURSIVE_TARGETS=$(PROJECT_RECURSIVE_TARGETS)

if LDAS_ENABLED_LDAS_DOCUMENTATION
if HAVE_PKGBUILDER
DVIFILES = \
	INSTALL.dvi
endif

include $(ldas_top_srcdir)/build/make-macros/latex.mk

EXTRA_DIST = \
	$(INSTALL_TEXSOURCE)

INSTALL_TEXSOURCE = \
	INSTALL.tex \
	package_list.tex

all-local : $(PDFFILES) $(HTMLFILES) $(TEXTFILES) $(PSFILES)

clean-local : clean-local-latex

if HAVE_PKGBUILDER
install-data-local: INSTALL.html INSTALL.txt
	$(mkinstalldirs) $(docdir)
	if test -f INSTALL.html; \
	then \
		$(INSTALL_DATA) INSTALL.html $(docdir)/INSTALL_DATACOND.html; \
	fi
	if test -f INSTALL.txt; \
	then \
		$(INSTALL_DATA) INSTALL.txt $(docdir)/INSTALL_DATACOND.txt; \
	fi
endif
endif # LDAS_ENABLED_LDAS_DOCUMENTATION

#------------------------------------------------------------------------
# Dependencies
#------------------------------------------------------------------------

INSTALL.dvi: $(INSTALL_TEXSOURCE) $(DEPENDS)
INSTALL.html install.txt: $(INSTALL_TEXSOURCE) $(DEPENDS)

include $(ldas_top_srcdir)/build/make-macros/memory-debug.mk
